<template>
    <div class="tp-page-head">
        <div class="container">
            <div class="row">
                <div class=" col-md-12">
                    <div class="page-header text-center">
                        <div class="icon-circle d-flex align-items-center justify-content-center">
                            <i class="fa fa-list icon-size-60" aria-hidden="true"></i>
                        </div>
                        {{ data }}
                        {{ counter }}
                        <h1 @click="counter++">All Category Listing</h1>
                        <p>Venue Listing Sidebar for multiple use for vendor.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container my-4">
        <div class="row">
            <div class="col-md-3">
                <SearchListings />
            </div>
            <div class="col-md-9">
                <div class="row">
                    <template v-for=" n in num">
                        <div class="col-md-4 mb-2">
                            <AppCard/>
                        </div>
                    </template>
                </div>
            </div>
        </div>
    </div>
</template>
<script setup>
    import { ref } from 'vue';
    const counter = useCounter();
    const num = ref(12)
    const data = await $fetch('https://jsonplaceholder.typicode.com/todos/5');


</script>
<style scoped>
    .tp-page-head {
        background: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)), rgba(0, 0, 0, 0.6) url('public/images/slide3.jpeg') no-repeat center;
        background-size: cover;
        color: #fff;
    }
    .tp-page-head .page-header {
        border: none;
        margin: 120px 0 40px;
    }
    .icon-circle {
        border: 2px solid #fff;
        border-radius: 50%;
        width: 100px;
        height: 100px;
        margin: 0 auto 30px auto;
        background-color: rgba(255, 255, 255, .1);
    }
    .filter-sidebar .control-label {
        font-size: 12px;
        text-transform: uppercase;
        font-weight: 700;
    }
    .icon-size-60 {
        font-size: 60px;
    }
    .checkbox {
        padding-left: 20px;
    }
</style>